> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim Allocation Tokens

> Build the unsigned claim transaction(s) for an allocation so the stakeholder wallet can sign and withdraw its tokens.



## OpenAPI

````yaml /apis/admin/openapi.json post /api/external/v1/allocations/{id}/claim
openapi: 3.1.0
info:
  title: Magna Admin API
  version: 1.0.0
  description: >-
    The private, server-to-server API for managing allocations, funding and
    claims, transactions, portals, and token data. Authenticated with a project
    API key sent in the `x-magna-api-token` header.
servers:
  - url: https://app.magna.so
    description: Production
security:
  - apiToken: []
paths:
  /api/external/v1/allocations/{id}/claim:
    post:
      tags:
        - Allocations
      summary: Claim Allocation Tokens
      description: >-
        Build the unsigned claim transaction(s) for an allocation so the
        stakeholder wallet can sign and withdraw its tokens.
      operationId: postAllocationsByIdClaim
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type:
              - string
            minLength: 1
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                sender:
                  type:
                    - string
                  minLength: 1
                userCountryCode:
                  type:
                    - string
                  minLength: 1
                amount:
                  type:
                    - number
                  exclusiveMinimum: 0
              required:
                - sender
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  isProcessed:
                    type: boolean
                  result:
                    description: Endpoint-specific result payload.
              example:
                isProcessed: true
                result:
                  __type: SolanaTransactionGroupParameters
                  parameters:
                    - instructions: []
                      transactionId: 7ea0cd8f-26aa-4cfe-acad-e57f6ec62bfe
        '400':
          description: Validation error
        '401':
          description: Missing or invalid API token
        '403':
          description: API token lacks the required scope or project access
components:
  securitySchemes:
    apiToken:
      type: apiKey
      in: header
      name: x-magna-api-token

````